//
// LDASTools filtes - A library implementing filtering algorithms
//
// Copyright (C) 2018 California Institute of Technology
//
// LDASTools filtes is free software; you may redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 (GPLv2) of the
// License or at your discretion, any later version.
//
// LDASTools filtes is distributed in the hope that it will be useful, but
// without any warranty or even the implied warranty of merchantability
// or fitness for a particular purpose. See the GNU General Public
// License (GPLv2) for more details.
//
// Neither the names of the California Institute of Technology (Caltech),
// The Massachusetts Institute of Technology (M.I.T), The Laser
// Interferometer Gravitational-Wave Observatory (LIGO), nor the names
// of its contributors may be used to endorse or promote products derived
// from this software without specific prior written permission.
//
// You should have received a copy of the licensing terms for this
// software included in the file LICENSE located in the top-level
// directory of this package. If you did not, you can view a copy at
// http://dcc.ligo.org/M1500244/LICENSE
//

#ifndef FILTERCONSTANTS_HH
#define FILTERCONSTANTS_HH

// $Id: FilterConstants.hh,v 1.2 2004/03/25 20:55:09 emaros Exp $

#ifdef __cplusplus
extern "C" {
#endif

#include <sys/types.h>

#ifdef __cplusplus
}
#endif

// Constants that express limitations of the Filters library

// Note that ALL CONSTANTS SHOULD BE DEFINED AS
//
// const <type> <var>
//
// DO NOT USE MACROS FOR CONSTANTS
// CONSTANTS ARE DECLARED IN THIS FILE BUT DEFINED IN FilterConstants.cc

namespace Filters
{

    // Class FIRLP

    // Class LinFilt

    // Class Window

    extern const size_t MaximumWindowLength;
    extern const double KaiserWindowDefaultBeta;

} // namespace Filters

#endif
